{% from 'lib.sls' import pod_deploy with context %}

Create prometheus root directory:
  file.directory:
    - name: /srv/prometheus
    - user: nobody
    - group: root
    - mode: "0755"

Create prometheus data directory:
  file.directory:
    - name: /srv/prometheus/data
    - user: nobody
    - group: root
    - mode: "0755"

Create prometheus config directory:
  file.directory:
    - name: /srv/prometheus/config
    - user: nobody
    - group: root
    - mode: "0755"

Create alertmanager root directory:
  file.directory:
    - name: /srv/alertmanager
    - source: salt://containers/files/alertmanager
    - user: nobody
    - group: root
    - dir_mode: "0755"
    - file_mode: "0644"

Create alertmanager data directory:
  file.directory:
    - name: /srv/alertmanager/data
    - user: nobody
    - group: nobody
    - mode: "0755"

Create alertmanager config directory:
  file.directory:
    - name: /srv/alertmanager/config
    - user: nobody
    - group: nobody
    - mode: "0755"

{{ pod_deploy('prometheus') }}
